import{s as K,n as W,o as X}from"../chunks/scheduler.6062bdaf.js";import{S as Y,i as Z,g,s as r,r as $,A as ee,h,f as o,c as i,j as U,u as T,x as G,k as A,y as F,a as n,v,d as b,t as y,w}from"../chunks/index.4bca734e.js";import{D as J}from"../chunks/Docstring.d7918b6d.js";import{H,E as te}from"../chunks/EditOnGithub.74ab2baa.js";function oe(Q){let a,C,L,k,m,E,l,z,s,d,S,x,R="Exports a TensorFlow model to a TensorFlow Lite model.",D,c,N,p,u,B,_,j="Validates the export by checking that the outputs from both the reference and the exported model match.",O,f,q,P,M;return m=new H({props:{title:"Export functions",local:"export-functions",headingTag:"h1"}}),l=new H({props:{title:"Main functions",local:"optimum.exporters.tflite.export",headingTag:"h2"}}),d=new J({props:{name:"optimum.exporters.tflite.export",anchor:"optimum.exporters.tflite.export",parameters:[{name:"model",val:": TFPreTrainedModel"},{name:"config",val:": TFLiteConfig"},{name:"output",val:": Path"},{name:"task",val:": typing.Optional[str] = None"},{name:"preprocessor",val:": typing.Union[transformers.tokenization_utils_base.PreTrainedTokenizerBase, transformers.image_processing_utils.BaseImageProcessor, NoneType] = None"},{name:"quantization_config",val:": typing.Optional[ForwardRef('TFLiteQuantizationConfig')] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.export.model",description:`<strong>model</strong> (<code>TFPreTrainedModel</code>) &#x2014;
The model to export.`,name:"model"},{anchor:"optimum.exporters.tflite.export.config",description:`<strong>config</strong> (<a href="/docs/optimum/pr_2023/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a>) &#x2014;
The TFLite configuration associated with the exported model.`,name:"config"},{anchor:"optimum.exporters.tflite.export.output",description:`<strong>output</strong> (<code>Path</code>) &#x2014;
Directory to store the exported TFLite model.`,name:"output"},{anchor:"optimum.exporters.tflite.export.task",description:`<strong>task</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The task of the model. If left unspecified the task will be inferred automatically. Only needed for static
quantization.`,name:"task"},{anchor:"optimum.exporters.tflite.export.preprocessor",description:`<strong>preprocessor</strong> (<code>Optional[Preprocessor]</code>, defaults to <code>None</code>) &#x2014;
The preprocessor associated to the model. This is used for preprocessing the dataset before feeding data to
the model during calibration.`,name:"preprocessor"},{anchor:"optimum.exporters.tflite.export.quantization_config",description:`<strong>quantization_config</strong> (<code>Optional[TFLiteQuantizationConfig]</code>, defaults to <code>None</code>) &#x2014;
The dataclass containing all the needed information to perform quantization.`,name:"quantization_config"}],source:"https://github.com/huggingface/optimum/blob/vr_2023/optimum/exporters/tflite/convert.py#L313",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A tuple with an ordered list of the model’s inputs, and the named inputs from
the TFLite configuration.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Tuple[List[str], List[str]]</code></p>
`}}),c=new H({props:{title:"Utility functions",local:"optimum.exporters.tflite.validate_model_outputs",headingTag:"h2"}}),u=new J({props:{name:"optimum.exporters.tflite.validate_model_outputs",anchor:"optimum.exporters.tflite.validate_model_outputs",parameters:[{name:"config",val:": TFLiteConfig"},{name:"reference_model",val:": TFPreTrainedModel"},{name:"tflite_model_path",val:": Path"},{name:"tflite_named_outputs",val:": typing.List[str]"},{name:"atol",val:": typing.Optional[float] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.validate_model_outputs.config",description:`<strong>config</strong> (<a href="/docs/optimum/pr_2023/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a> &#x2014;
The configuration used to export the model.`,name:"config"},{anchor:"optimum.exporters.tflite.validate_model_outputs.reference_model",description:`<strong>reference_model</strong> (<code>~TFPreTrainedModel</code>) &#x2014;
The model used for the export.`,name:"reference_model"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_model_path",description:`<strong>tflite_model_path</strong> (<code>Path</code>) &#x2014;
The path to the exported model.`,name:"tflite_model_path"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_named_outputs",description:`<strong>tflite_named_outputs</strong> (<code>List[str]</code>) &#x2014;
The names of the outputs to check.`,name:"tflite_named_outputs"},{anchor:"optimum.exporters.tflite.validate_model_outputs.atol",description:`<strong>atol</strong> (<code>Optional[float]</code>, defaults to <code>None</code>) &#x2014;
The absolute tolerance in terms of outputs difference between the reference and the exported model.`,name:"atol"}],source:"https://github.com/huggingface/optimum/blob/vr_2023/optimum/exporters/tflite/convert.py#L43",raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>ValueError</code> — If the outputs shapes or values do not match between the reference and the exported model.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>ValueError</code></p>
`}}),f=new te({props:{source:"https://github.com/huggingface/optimum/blob/main/docs/source/exporters/tflite/package_reference/export.mdx"}}),{c(){a=g("meta"),C=r(),L=g("p"),k=r(),$(m.$$.fragment),E=r(),$(l.$$.fragment),z=r(),s=g("div"),$(d.$$.fragment),S=r(),x=g("p"),x.textContent=R,D=r(),$(c.$$.fragment),N=r(),p=g("div"),$(u.$$.fragment),B=r(),_=g("p"),_.textContent=j,O=r(),$(f.$$.fragment),q=r(),P=g("p"),this.h()},l(e){const t=ee("svelte-u9bgzb",document.head);a=h(t,"META",{name:!0,content:!0}),t.forEach(o),C=i(e),L=h(e,"P",{}),U(L).forEach(o),k=i(e),T(m.$$.fragment,e),E=i(e),T(l.$$.fragment,e),z=i(e),s=h(e,"DIV",{class:!0});var I=U(s);T(d.$$.fragment,I),S=i(I),x=h(I,"P",{"data-svelte-h":!0}),G(x)!=="svelte-1igcsdq"&&(x.textContent=R),I.forEach(o),D=i(e),T(c.$$.fragment,e),N=i(e),p=h(e,"DIV",{class:!0});var V=U(p);T(u.$$.fragment,V),B=i(V),_=h(V,"P",{"data-svelte-h":!0}),G(_)!=="svelte-1w8b0fb"&&(_.textContent=j),V.forEach(o),O=i(e),T(f.$$.fragment,e),q=i(e),P=h(e,"P",{}),U(P).forEach(o),this.h()},h(){A(a,"name","hf:doc:metadata"),A(a,"content",ne),A(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),A(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){F(document.head,a),n(e,C,t),n(e,L,t),n(e,k,t),v(m,e,t),n(e,E,t),v(l,e,t),n(e,z,t),n(e,s,t),v(d,s,null),F(s,S),F(s,x),n(e,D,t),v(c,e,t),n(e,N,t),n(e,p,t),v(u,p,null),F(p,B),F(p,_),n(e,O,t),v(f,e,t),n(e,q,t),n(e,P,t),M=!0},p:W,i(e){M||(b(m.$$.fragment,e),b(l.$$.fragment,e),b(d.$$.fragment,e),b(c.$$.fragment,e),b(u.$$.fragment,e),b(f.$$.fragment,e),M=!0)},o(e){y(m.$$.fragment,e),y(l.$$.fragment,e),y(d.$$.fragment,e),y(c.$$.fragment,e),y(u.$$.fragment,e),y(f.$$.fragment,e),M=!1},d(e){e&&(o(C),o(L),o(k),o(E),o(z),o(s),o(D),o(N),o(p),o(O),o(q),o(P)),o(a),w(m,e),w(l,e),w(d),w(c,e),w(u),w(f,e)}}}const ne='{"title":"Export functions","local":"export-functions","sections":[{"title":"Main functions","local":"optimum.exporters.tflite.export","sections":[],"depth":2},{"title":"Utility functions","local":"optimum.exporters.tflite.validate_model_outputs","sections":[],"depth":2}],"depth":1}';function re(Q){return X(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class me extends Y{constructor(a){super(),Z(this,a,re,oe,K,{})}}export{me as component};
